import Qt 4.7

Rectangle {
    width: 300
    height: 400

    FilterArea {
        id: filterArea
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        height: 40
    }

    ListArea {
        id: listArea
        anchors.top: filterArea.bottom
        anchors.bottom: statusArea.top
        anchors.left: parent.left
        anchors.right: colorArea.left
    }

    ColorArea {
        id: colorArea
        anchors.top: filterArea.bottom
        anchors.bottom: statusArea.top
        anchors.right: parent.right
        width: childrenRect.width
        onSelectedColorChanged: {
            filterArea.message = selectedColor
            console.log(selectedColor)
        }
    }

    StatusArea {
        id: statusArea
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        height: 25
        text: filterArea.message
    }

}
