import Qt 4.7

Rectangle {
    width: 200
    height: 200
    Rectangle {
        color: "lightblue"
        x: 5; y: 5; height: 25; width: 190
        border.width: 1

        // Vertically aligned text field within rectangle
        Text {
            id: userLabel
            x: 5; y: 0; height: parent.height; width: paintedWidth
            text: "User Name:"
            verticalAlignment: Text.AlignVCenter
        }

        // TextInput doesn't have vertical alignment and height is always automatically
        // the height of the text. y coordinate must be selected accordingly
        TextInput {
            x: userLabel.width + 10
            y: (parent.height - height) / 2
            width: parent.width - x

            // Mouse selection is disabled by default (won't work in mobile anyway)
            selectByMouse: true
        }
    }

    Rectangle {
        color: "lightblue"
        x: 5; y: 35; height: 25; width: 190
        border.width: 1
        Text {
            id: pwdLabel
            x: 5; y: 0; height: parent.height; width: paintedWidth
            text: "Password:"
            verticalAlignment: Text.AlignVCenter
        }

        TextInput {
            x: userLabel.width + 10
            y: (parent.height - height) / 2
            width: parent.width - x
            echoMode: TextInput.Password
        }
    }

}
